%define name komba2
%define version 0.71
%define release 5mdk


Name: 		%{name}
Summary: 	Networkbrowser for Sambanetworks
Version: 	%{version}
Release: 	%{release}
Source: 	%name-%version.tar.bz2
Group: 		Networking/Other
BuildRoot: 	%_tmppath/%name-buildroot
License: 	GPL
Url: 		http://zeus.fh-brandenburg.de/~schwanz/php/komba.php3
BuildRequires: gcc-cpp db3 readline pam popt libtermcap2 zlib1 XFree86-devel XFree86-libs Mesa-common
BuildRequires: XFree86-static-libs automake arts autoconf diffutils kdelibs file m4 texinfo gettext
BuildRequires: libjpeg62-devel kdelibs-devel gcc-c++ libbinutils2 libbzip2_1 db1 freetype2 libjpeg62
BuildRequires: libmng1 libpng2 libqt2 libqt2-devel rpm-build

%description
Komba2 is a Networkbrowser for Sambanetworks. It can find the workgroups, 
hosts and shares and show information about it. You can mount/unmount 
shares, send messages to other hosts and many more.

%prep

%setup -q

%build
CFLAGS="%optflags" CXXFLAGS="%optflags" \
./configure --prefix=%_prefix \
            --mandir=%_mandir \
	    --datadir=%_datadir \
	    --disable-rpath \
	    --disable-debug 

%make

%install

%makeinstall

%{find_lang} %{name}

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}): \
command="/usr/bin/komba2" \
title="Komba2" \
longtitle="Networkbrowser" \
icon="%{name}.png" \  
needs="x11" \
section="Networking/Other"
EOF
)


%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT 

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc AUTHORS COPYING ChangeLog INSTALL README TODO
%_bindir/*
%_datadir/applnk/Applications/*

%dir %_datadir/apps/komba2/
%dir %_datadir/apps/komba2/icons/hicolor/
%dir %_datadir/apps/komba2/icons/hicolor/16x16/
%dir %_datadir/apps/komba2/icons/hicolor/22x22/
%dir %_datadir/apps/komba2/icons/hicolor/32x32/

%_datadir/apps/komba2/icons/hicolor/16x16/actions/*.png
%_datadir/apps/komba2/icons/hicolor/22x22/actions/*.png
%_datadir/apps/komba2/icons/hicolor/32x32/actions/*.png

%_datadir/icons/hicolor/16x16/apps/komba2.png
%_datadir/icons/hicolor/32x32/apps/komba2.png 
%_datadir/icons/small/locolor/apps/komba2.xpm
%_datadir/icons/medium/locolor/apps/komba2.xpm 


#%dir %_datadir/doc/HTML/en/komba2/
#%doc %_datadir/doc/HTML/en/komba2/*.html
#%doc %_datadir/doc/HTML/en/komba2/.anchors

#%dir %_datadir/doc/HTML/de/komba2/
#%doc %_datadir/doc/HTML/de/komba2/*.html
#%doc %_datadir/doc/HTML/de/komba2/.anchors

%_datadir/apps/komba2/*.rc
%_menudir/*

%changelog
* Thu Sep 06 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.71-5mdk
- Rebuild

* Wed Aug 08 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.71-4mdk
- rebuild

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 0.71-3mdk
- Move KDE menu entry in %%_datadir/applnk
- Use optimizations
- Fix BuildRequires for non %%ix86 architectures
- Rebuild against latest GCC

* Thu Mar 29 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 0.71-2mdk
- Clean spec and add build requires

* Mon Mar 12 2001  Lenny Cartier <lenny@mandrakesoft.com> 0.71-1mdk
- updated to 0.71

* Tue Mar 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.70-1mdk
- new in contribs

